Уязвимость BDU:2020-04039

Дата: 17.05.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-04039.

Наименование уязвимости: Уязвимость интерпретатора языка программирования Perl, связанная с выходом операции за границы буфера в памяти, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость интерпретатора языка программирования Perl связана с выходом операции за границы буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система АО «НПО РусБИТех» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Debian GNU/Linux 10.0 | Операционная система Fedora Project Fedora 31 | Прикладное ПО информационных систем Oracle Corp. Communications Billing and Revenue Management 12.0.0.3.0 | Прикладное ПО информационных систем Perl до 5.30.3 | Прикладное ПО информационных систем Oracle Corp. Communications Billing and Revenue Management 12.0.0.2.0 |

Наименование ОС и тип аппаратной платформы: Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | OpenSUSE Leap 151 | Debian GNU/Linux 100 | Fedora 31 |
Дата выявления: 17.05.2020.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:P/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 8,5)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,2)

Возможные меры по устранению:
Использование рекомендаций:
Для Perl:
https://github.com/perl/perl5/commit/897d1f7fd515b828e4b198d8b8bef76c6faf03ed

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]/message/IN3TTBO5KSGWE5IRIKDJ5JSQRH7ANNXE/

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2020-06/msg00044.html

Для Debian:
Обновление программного обеспечения (пакета perl) до 5.28.1-6+deb10u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета perl) до 5.28.1-6+deb10u1 или более поздней версии

Для программных продуктов Oracle Corp.:
https://www.oracle.com/security-alerts/cpuoct2020.html
https://www.oracle.com/security-alerts/cpujan2021.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2020-10543.

Тип ошибки CWE: CWE-787
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://lists.opensuse.org/opensuse-security-announce/2020-06/msg00044.html
https://github.com/Perl/perl5/blob/blead/pod/perl5303delta.pod
https://github.com/Perl/perl5/compare/v5.30.2…v5.30.3
https://github.com/perl/perl5/commit/897d1f7fd515b828e4b198d8b8bef76c6faf03ed
https://lists.fedoraproject.org/archives/list/[email protected]/message/IN3TTBO5KSGWE5IRIKDJ5JSQRH7ANNXE/
https://security.gentoo.org/glsa/202006-03
https://security.netapp.com/advisory/ntap-20200611-0001/
https://www.oracle.com/security-alerts/cpuoct2020.html
https://www.oracle.com/security-alerts/cpujan2021.html
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20201207SE16MD

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *